Bug 63583 - bindconf generates python tracebacks on apply and write
Summary: bindconf generates python tracebacks on apply and write
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: 4Suite (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-04-15 21:22 UTC by David Lawrence
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 08:07:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2002-04-15 21:22:26 UTC
Description of Problem: 
When clicking on Apply in the File menu, a python traceback is sent to the 
console even if no changes have been made. 
 
Traceback (innermost last): 
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__ 
    ret = apply(self.func, a) 
  File "/usr/sbin/bindconf-gui", line 158, in on_apply_and_save_activate 
    on_apply_activate() 
  File "/usr/sbin/bindconf-gui", line 152, in on_apply_activate 
    cfg.saveBind() 
  File "/usr/share/bindconf/dnsdata.py", line 536, in saveBind 
    self.zone_box.write(self.ctx) 
AttributeError: 'None' object has no attribute 'write' 
 
When clicking Exit from the File menu and choosing OK to save changes the 
following traceback is generate to the console. 
 
Traceback (innermost last): 
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__ 
    ret = apply(self.func, a) 
  File "/usr/sbin/bindconf-gui", line 192, in on_exit_activate 
    on_apply_and_save_activate() 
  File "/usr/sbin/bindconf-gui", line 158, in on_apply_and_save_activate 
    on_apply_activate() 
  File "/usr/sbin/bindconf-gui", line 152, in on_apply_activate 
    cfg.saveBind() 
  File "/usr/share/bindconf/dnsdata.py", line 536, in saveBind 
    self.zone_box.write(self.ctx) 
AttributeError: 'None' object has no attribute 'write' 
 
Version-Release number of selected component (if applicable): 
bindconf-1.6.2-1

Comment 1 Harald Hoyer 2002-04-17 08:07:03 UTC
File "/usr/lib/python1.5/site-packages/xml/xslt/__init__.py", line 18, in ? 
    from distutils import version 
ImportError: No module named distutils 


Comment 2 Trond Eivind Glomsrxd 2002-04-17 14:17:42 UTC
Fixed in  4Suite-0.11.1-8


Note You need to log in before you can comment on or make changes to this bug.